summaryrefslogtreecommitdiff
path: root/init.d/root.in
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/root.in')
-rw-r--r--init.d/root.in26
1 files changed, 26 insertions, 0 deletions
diff --git a/init.d/root.in b/init.d/root.in
new file mode 100644
index 0000000..b7ffbf8
--- /dev/null
+++ b/init.d/root.in
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+# Copyright 2007-2008 Roy Marples <roy@marples.name>
+# All rights reserved. Released under the 2-clause BSD license.
+
+description="Mount the root fs read/write"
+
+depend()
+{
+ need fsck
+ keyword nojail noprefix
+}
+
+start()
+{
+ if echo 2>/dev/null >/.test.$$; then
+ rm -f /.test.$$
+ return 0
+ fi
+
+ ebegin "Remounting root filesystem read/write"
+ case "${RC_UNAME}" in
+ Linux) mount -n -o remount,rw /;;
+ *) mount -u -o rw /;;
+ esac
+ eend $? "Root filesystem could not be mounted read/write"
+}